
<script>
	var attributes;
	var contactInterval = null;
	var cartInterval = null;
	var productInterval = null;
	var CONTACT_SYNC_GROUP = {$CONTACT_SYNC_GROUP};
	var PRODUCT_SYNC_GROUP = {$PRODUCT_SYNC_GROUP};
	var CART_SYNC_GROUP = {$CART_SYNC_GROUP};
	var statesTimeout;
	var statesBlock = false;
	var doBarsThings1 = {if isset($total_subscribers) && $total_subscribers|intval != 0}true{else}false{/if};
	var doBarsThings2 = {if isset($carts_in_store) && $carts_in_store|intval != 0}true{else}false{/if};
	function ajaxCall(operation,params,success){
		$.ajax({
			type: "POST",
			url:  "{$ajax_controller_url}",
			data: 'operation='+operation+(params!="" ? "&"+params : ""),
			dataType: 'json', //restituisce un oggetto JSON
			success: function (data) {
				success(data);
			}
		});
	}
	function showMsg(msg,err){
		if(err)
			$.fancybox("<p class='error_popup'>"+msg+"</p>");
		else
			$.fancybox("<p class='success_popup'>"+msg+"</p>");
	}
	function startPolling(type,group,success){
		return setInterval(function(){
			ajaxCall("polling","type="+type+"&group="+group,success);
		},2000);
	}
	$(document).ready(function(){

		{*$("#invalidOrderState").val({$invalid_order_state});*}

		ajaxCall("get_attributes","",function(data){
			attributes = data;
		});

		$(".checkbox-order-state").change(function () {
			if(!statesBlock) {
				clearTimeout(statesTimeout);
				statesTimeout = setTimeout(function () {
					statesBlock = true;
					$("#states_loader").fadeIn();
					var checked = "";
					$('.checkbox-order-state:checked').each(function () {
						checked += $(this).val() + ",";
					});
					ajaxCall("orderStates", "checked=" + checked, function (data) {
						statesBlock=false;
						$("#states_loader").fadeOut();
						if (data.err == null)
                            console.log('ORDER_STATE_UPDATED');
						else
							showMsg("{l s='An error occured during Stetes update, please try again' mod='blockfourdempro'}", 1);
					});
				}, 1000);
			}
		});

		$(".checkbox-inv-order-state").change(function () {
            if(!statesBlock) {
                clearTimeout(statesTimeout);
                statesTimeout = setTimeout(function () {
                    statesBlock = true;
                    $("#invalid_state_loader").fadeIn();
                    var checked = "";
                    $('.checkbox-inv-order-state:checked').each(function () {
                        checked += $(this).val() + ",";
                    });
                    ajaxCall("invalidState", "checked=" + checked, function (data) {
                        statesBlock = false;
                        $("#invalid_state_loader").fadeOut();
                        if (data.err == null)
                            console.log('INV_ORDER_STATE_UPDATED');
                        else
                            showMsg("{l s='An error occured during Stetes update, please try again' mod='blockfourdempro'}", 1);
                    });
                }, 1000);
            }
		});

		if(CONTACT_SYNC_GROUP!=0){
			$(".sync_loader.contacts").slideDown();
			contactInterval=startPolling("contacts",CONTACT_SYNC_GROUP,function(data) {
                if (typeof (data.done) === 'undefined') return;
				if(data.completed){
					clearInterval(contactInterval);
					contactInterval= null;
					$(".sync_loader.contacts img").fadeOut();
					// $(".sync_loader.contacts .bar").css("width","100%");
					// $(".sync_loader.contacts .bar .perc").html("100%");
                    showMsg("{l s='Sync completed' mod='blockfourdempro'}",0);
					window.location.href = window.location.href;
				}else{
					// $(".sync_loader.contacts .bar").css("width",((data.tot != 0) ? (100*data.done/data.tot) : 0)+"%");
					// $(".sync_loader.contacts .bar .perc").html(Math.floor(((data.tot != 0) ? (100*data.done/data.tot) : 0))+"%");
                    $(".sync_loader .contacts_counter").empty().append('Batch completate: ' + data.done + ' su ' + data.tot);
					$("#actual_subs").html(data.actual_sub);
				}
			});
		}
		if(PRODUCT_SYNC_GROUP!=0){
			$(".sync_loader.products").slideDown();
			productInterval = startPolling("products", PRODUCT_SYNC_GROUP, function (data) {
                if (typeof (data.done) === 'undefined') return;
				if (data.completed) {
					clearInterval(productInterval);
					productInterval = null;
					// $(".sync_loader.products .bar").css("width", "100%");
					// $(".sync_loader.products .bar .perc").html("100%");
					$(".sync_loader.products img").fadeOut();
                    showMsg("{l s='Sync completed' mod='blockfourdempro'}",0);
					window.location.href = window.location.href;
				} else {
					// $(".sync_loader.products .bar").css("width", (100 * data.done / data.tot) + "%");
					// $(".sync_loader.products .bar .perc").html(Math.floor(100 * data.done / data.tot)+"%");
                    $(".sync_loader .products_counter").empty().append('Batch completate: ' + data.done + ' su ' + data.tot);
					$("#actual_prod").html(data.actual_prod);
				}
			});
		}
		if(CART_SYNC_GROUP!=0){
			$(".sync_loader.carts").slideDown();
			cartInterval = startPolling("carts", CART_SYNC_GROUP, function (data) {
                if (typeof (data.done) === 'undefined') return;
				if (data.completed) {
					clearInterval(cartInterval);
					cartInterval = null;
					$(".sync_loader.carts .bar").css("width", "100%");
					$(".sync_loader.carts .bar .perc").html("100%");
					$(".sync_loader.carts img").fadeOut();
                    showMsg("{l s='Sync completed' mod='blockfourdempro'}",0);
					window.location.href = window.location.href;
				} else {
					// $(".sync_loader.carts .bar").css("width", (100 * data.done / data.tot) + "%");
					// $(".sync_loader.carts .bar .perc").html(Math.floor(100 * data.done / data.tot)+"%");
                    $(".sync_loader .carts_counter").empty().append('Batch completate: ' + data.done + ' su ' + data.tot);
					$("#actual_carts").html(data.actual_carts);
				}
			});
		}

		$("body").addClass("bootstrap");

		$("#show_errors").click(function(){
			$.fancybox($("#import_errors"));
		});

		

		$('ul.nav-list > li.disabled > a').click(function (e) {
			e.preventDefault();
			e.stopPropagation();
			return false;
		});
		$("#create_store").click(function(){
			$("#attributes").html("");
			$.fancybox("#popup_create_store");
		});

		$("#add_attribute").click(function() {
			if($(".select-attributes").length < (attributes.features.length + attributes.attributes.length)){
				var feat = $("<optgroup label='{l s='Features' mod='blockfourdempro'}'></optgroup>");
				$.each(attributes.features, function(i, val) {
					feat.append("<option value='f-"+val.id_feature+"'>"+val.name+"</option>");
				});
				var attr = $("<optgroup label='{l s='Attributes' mod='blockfourdempro'}'></optgroup>");
				$.each(attributes.attributes, function(i, val) {
					attr.append("<option value='a-"+val.group_id+"'>"+val.name+"</option>");
				});
				var sel = $("<select class='select-attributes' name='select-attribute-"+$(".select-attributes").length+"'><option></option></select>");
				sel.append(feat);
				sel.append(attr);
				$("#attributes").append(sel);
			}

		});

		$("#create_store_send").click(function() {
			var attr="attributes=";
			$("#attributes select").each(function(){
				attr+=$(this).val()+",";
			});
			ajaxCall("create_store",attr,function(data) {
				if($.isNumeric(data)){
                    showMsg("{l s='Store Created' mod='blockfourdempro'}",0);
                    window.location.href = window.location.href;
				}else{
					if(typeof (data.message) !== 'undefined')
						$("#create_store_send").parent().append("<p class='error_popup'>"+data.message+"</p>");
				}
			})
		});

		$("#save-ignore-fields").click(function() {
			ajaxCall("save_ignore_fields",$("#contacts_settings input[type='checkbox']").serialize(),function(data) {
				if(data){
					showMsg("{l s='Fields updated' mod='blockfourdempro'}",0);
				}
			})
		});

		$("#sync_contact_update").click(function(){
			if(contactInterval == null) {
				$(this).parent().append($("<img src='{$path}/img/preloader.gif' id='sync_contact_loader' width='25'>"));
				$(".contacts .bar").css("width","0%");
				syncContactsCicle(0,"sync_contact_update");
			}
		});

		$("#sync_contact_all").click(function(){
			if(contactInterval == null) {
				$(this).parent().append($("<img src='{$path}/img/preloader.gif' id='sync_contact_loader' width='25'>"));
				$(".contacts .bar").css("width","0%");
				console.log('syncContactsCicle');
				syncContactsCicle(0,"sync_contact_all");
			}
		});

		$("#sync_product_update").click(function(){
			if(productInterval == null) {
				$(this).parent().append($("<img src='{$path}/img/preloader.gif' id='sync_product_loader' width='25'>"));
				syncProductsCicle(0,"sync_product_update");
			}
		});

		$("#sync_product_all").click(function(){
			if(productInterval == null) {
				$(this).parent().append($("<img src='{$path}/img/preloader.gif' id='sync_product_loader' width='25'>"));
				syncProductsCicle(0,"sync_product_all");
			}
		});

		$("#sync_cart_all").click(function(){
			if(cartInterval == null) {
				$(this).parent().append($("<img src='{$path}/img/preloader.gif' id='sync_cart_loader' width='25'>"));
				syncCartsCicle(0,"sync_cart_all");
			}
		});
		$("#sync_cart_update").click(function(){
			if(cartInterval == null) {
				$(this).parent().append($("<img src='{$path}/img/preloader.gif' id='sync_product_loader' width='25'>"));
				syncCartsCicle(0,"sync_cart_update");
			}
		});
	});
	function syncContactsCicle(limit,operation){
		ajaxCall(operation, "type=ajax&limit="+limit, function (data) {
            console.log('syncContactsCicle callback');
            console.log('DATA >>>>');
            console.log(data);
			if(typeof (data.done) !== 'undefined' && data.status != "error" && data.status != "warning") {
				$("#sync_contact_loader").fadeOut();
				console.log(data);
				if(contactInterval == null){
					$(".sync_loader.contacts").slideDown();
					contactInterval=startPolling("contacts",data.group_id,function(data) {
						if(data.completed){
							clearInterval(contactInterval);
							contactInterval= null;
							// $(".sync_loader.contacts .bar").css("width","100%");
							// $(".sync_loader.contacts .bar .perc").html("100%");
							$(".sync_loader.contacts img").fadeOut();
                            $(".sync_loader.contacts").slideUp();
                            // showMsg("{l s='Sync completed' mod='blockfourdempro'}",0);
							window.location.href = window.location.href;
						}else{
							// $(".sync_loader.contacts .bar").css("width",((data.tot != 0) ? (100*data.done/data.tot) : 0) +"%");
							// $(".sync_loader.contacts .bar .perc").html(Math.floor(((data.tot != 0) ? (100*data.done/data.tot) : 0))+"%");
							$(".sync_loader .contacts_counter").empty().append('Batch completate: ' + data.done + ' su ' + data.tot);
							$("#actual_subs").html(data.actual_sub);
						}
					});
				}
				if (data.status == "completed") {
					$(".sync_loader.contacts span").fadeOut();


				}else if (data.status == "waiting") {

					syncContactsCicle(data.limit,operation);
				}
			}else{
			 	if(data.status == "warning") {
                    showMsg(JSON.stringify(data.msg), true);
                    console.log('WARNING');
                }
				else
                console.log('ERROR');
				showMsg("{l s='An unexpected error occured: ' mod='blockfourdempro'}"+JSON.stringify(data.err),true);
				$("#sync_contact_loader").fadeOut();
				$(".processing_loader.contacts img").fadeOut();
			}

		})
	}
	function syncProductsCicle(limit,operation){
		ajaxCall(operation, "type=ajax&limit="+limit, function (data) {
			if(typeof (data.done) !== 'undefined' && data.status != "error") {
				$("#sync_product_loader").fadeOut();
				console.log(data);
				if (productInterval == null) {
					$(".sync_loader.products").slideDown();
					productInterval = startPolling("products", data.group_id, function (data) {
						if (data.completed) {
							clearInterval(productInterval);
							productInterval = null;
							// $(".sync_loader.products .bar").css("width", "100%");
							// $(".sync_loader.products .bar .perc").html("100%");
							$(".sync_loader.products img").fadeOut();
                            $(".sync_loader.products").slideUp();
                            // showMsg("{l s='Sync completed' mod='blockfourdempro'}",0);
							window.location.href = window.location.href;
						} else {
							// $(".sync_loader.products .bar").css("width", (100 * data.done / data.tot) + "%");
							// $(".sync_loader.products .bar .perc").html(Math.floor(100 * data.done / data.tot)+"%");
                            $(".sync_loader .products_counter").empty().append('Batch completate: ' + data.done + ' su ' + data.tot);
							$("#actual_prod").html(data.actual_prod);
						}
					});
				}
				if (data.status == "complete") {
					// $(".processing_loader.products .bar").css("width", "100%");
					// $(".processing_loader.products .bar .perc").html("100%");
					$(".sync_loader.products span").fadeOut();

				} else if (data.status == "waiting") {
					$(".processing_loader.products").slideDown();
					{*$(".processing_loader.products .bar").css("width", (100 * data.sent /{$products_in_store}) + "%");*}
					{*$(".processing_loader.products .bar .perc").html(Math.floor(100*data.sent/{$products_in_store})+"%");*}
                    $(".sync_loader .products_counter").empty().append('Batch completate: ' + data.done + ' su ' + data.tot);
					syncProductsCicle(data.limit, operation);
				}
			}
			else{
				showMsg("{l s='An unexpected error occured: ' mod='blockfourdempro'}"+JSON.stringify(data.err),true);
			}

        })
	}
	{if $store}
		function syncCartsCicle(limit,operation){
			ajaxCall(operation, "type=ajax&limit="+limit, function (data) {
				if(typeof (data.done) !== 'undefined' && data.status != "error") {
					$("#sync_cart_loader").fadeOut();
					console.log(data);

					if (cartInterval == null) {
						$(".sync_loader.carts").slideDown();
						cartInterval = startPolling("carts", data.group_id, function (data) {
							if (data.completed) {
								clearInterval(cartInterval);
								cartInterval = null;
								// $(".sync_loader.carts .bar").css("width", "100%");
								// $(".sync_loader.carts .bar .perc").html("100%");
								$(".sync_loader.carts img").fadeOut();
								$(".sync_loader.carts").slideUp();
								showMsg("{l s='Sync completed' mod='blockfourdempro'}",0);
								window.location.href = window.location.href;
							} else {
								// $(".sync_loader.carts .bar").css("width", (100 * data.done / data.tot) + "%");
								// $(".sync_loader.carts .bar .perc").html(Math.floor(100 * data.done / data.tot)+"%");
                                $(".sync_loader .carts_counter").empty().append('Batch completate: ' + data.done + ' su ' + data.tot);
								$("#actual_carts").html(data.actual_carts);
							}
						});
					}
					if (data.status == "complete") {
						// $(".processing_loader.carts .bar").css("width", "100%");
						// $(".processing_loader.carts .bar .perc").html("100%");
						$(".sync_loader.carts span").fadeOut();

					} else if (data.status == "waiting") {
						$(".processing_loader.carts").slideDown();
						$(".sync_loader .carts_counter").empty().append('Batch completate: ' + data.done + ' su ' + data.tot);

						syncCartsCicle(data.limit, operation);
					}
				}
				else{
					showMsg("{l s='An unexpected error occured: ' mod='blockfourdempro'}"+JSON.stringify(data.err),true);
				}

			})
		}
	{/if}
</script>
<div class="container">

	<form method="post" action="{$REQUEST_URI}" id="form_4dem">

		<legend><img src="{$path}logo.gif" />{l s='Settings' mod='blockfourdempro'}</legend>
		<h2>{l s='4Dem Status' mod='blockfourdempro'} {$connStatus}</h2>
		<span class="info">{l s='You can generate your API KEY in your 4Dem Panel clicking on the "General Options" button on the top-left side of the screen and selecting Api Key,' mod='blockfourdempro'}</span>
		<br><br>
		<div>

			<!-- Nav tabs -->
			<ul class="nav nav-tabs" role="tablist">
				<li role="presentation" class="active"><a href="#general_settings" aria-controls="general_settings" role="tab" data-toggle="tab">{l s='General Settings' mod='blockfourdempro'}</a></li>
				<li role="presentation" class="{if !$logged || !$psCompatibleList}disabled{/if}"><a href="#store_settings" aria-controls="store_settings" role="tab" data-toggle="{if $logged && $psCompatibleList}tab{/if}">{l s='Store Settings' mod='blockfourdempro'}</a></li>
				<li role="presentation" class="{if !$logged || !$psCompatibleList}disabled{/if}"><a href="#contacts_settings" aria-controls="contacts_settings" role="tab" data-toggle="{if $logged && $psCompatibleList}tab{/if}">{l s='Contacts Settings' mod='blockfourdempro'}</a></li>
				<li role="presentation" class="{if !$logged || !$psCompatibleList}disabled{/if}"><a href="#synchronization" aria-controls="synchronization" role="tab" data-toggle="{if $logged && $psCompatibleList}tab{/if}">{l s='Syncronization' mod='blockfourdempro'}</a></li>
			</ul>

			<!-- Tab panes -->
			<div class="tab-content">
				<div role="tabpanel" class="tab-pane active" id="general_settings">
					<div class="panel-body">
					<div class="row">
						<div class="col-md-2 col-sm-3 col-xs-4 text-right">
							<label style="margin-top:6px;">{l s='4Dem Api Key' mod='blockfourdempro'}</label>
						</div>
						<div class="col-md-10 col-sm-9 col-xs-8">
							<input type="text" name="4DEM_API_KEY" value="{$API_KEY}" />
						</div>

					</div>
					<div class="row">
						<div class="col-md-2 col-sm-3 col-xs-4 text-right">
							<label style="margin-top:6px;">{l s='4Dem API url' }</label>
						</div>
						<div class="col-md-10 col-sm-9 col-xs-8">
							<input type="text" name="4DEM_CONSOLE_URL" value="{$CONSOLE_URL}" />
							&nbsp;&nbsp;<span class="info">{l s='Default: https://api.4dem.it/' mod='blockfourdempro'}</span>
						</div>

					</div>

					<fieldset>

						{if $logged}
							{if !$psCompatibleList}

								<div class="clear"></div>
								<h2>{l s='Customer subscribers Setting' mod='blockfourdempro'}</h2>
								<div class="row">
									<div class="col-md-2 col-sm-3 col-xs-4 text-right">
										<label>{l s='Create a new Prestashop compatible list' mod='blockfourdempro'}</label>
									</div>
									<div class="col-md-10 col-sm-9 col-xs-8">
										<input type="submit" name="createNewList" value="{l s='Create' mod='blockfourdempro'}" class="btn btn-info"/>
									</div>
								</div>
								<div class="row">
									<div class="col-md-2 col-sm-3 col-xs-4 text-right">
										<label>{l s='Select a new Prestashop compatible list' mod='blockfourdempro'}</label>
									</div>
									<div class="col-md-1 col-sm-1 col-xs-1">
										<input type="text" name="ListToFind" value="" placeholder="List ID"/>
									</div>
									<div class="col-md-9 col-sm-8 col-xs-7">
										<input type="submit" name="SelectNewList" value="{l s='Select' mod='blockfourdempro'}" class="btn btn-default"/>
									</div>
								</div>
							{else}
								<div class="row">
									<div class="col-md-2 col-sm-3 col-xs-4 text-right">
										<label>{l s='List for this shop' mod='blockfourdempro'}</label>
									</div>
									<div class="col-md-10 col-sm-9 col-xs-8">
										<p><strong style="color: black; font-size: 15px;">{$psCompatibleList}</strong></p>
									</div>
								</div>

							{/if}
						{/if}
						<br>
						<br>
						<div id="alert_block_submit">
							{l s='ATTENTION!' mod='blockfourdempro'}<br>
							{l s='The script may takes several minutes to complete, if you refresh the page during the process you can see the progression of clients synchronized. Click OK to proceed ->' mod='blockfourdempro'}
							<p id="confirm_submit">OK</p>
						</div>
						<div class="clear"></div>
						<div class=" text-right">
							<input type="submit" name="submitUpdate" id="submitUpdate" value="{l s='Save and Update' mod='blockfourdempro'}" class="btn btn-default" />&nbsp;&nbsp;
						</div>
					</fieldset>
					</div>
				</div>
				<div role="tabpanel" class="tab-pane " id="store_settings">
					<div class="panel-body">
						<div id="create_store_div" {if $store}style="display: none;"{/if}>
							<div class="row">
								<div class="col-md-2 col-sm-3 col-xs-4 text-right">
									<label style="margin-top:6px;">{l s='Create a new 4Dem store' }</label>
								</div>
								<div class="col-md-10 col-sm-9 col-xs-8">
									<a class="btn btn-default" id="create_store">{l s='Create' mod='blockfourdempro'}</a>
								</div>
							</div>
						</div>
						{if $store}
							<div id="manage_store_div" >
								<h2>{l s='Store: ' mod='blockfourdempro'} {$store->name}</h2>
								<div class="row">
									<div class="col-md-2 col-sm-3 col-xs-4 text-right">
										<label>{l s='Store ID' mod='blockfourdempro'} </label>
									</div>
									<div class="col-md-9 col-sm-8 col-xs-7">
										{$store->id}
									</div>
								</div>
								<div class="row">
									<div class="col-md-2 col-sm-3 col-xs-4 text-right">
										<label>{l s='Store URL' mod='blockfourdempro'} </label>
									</div>
									<div class="col-md-10 col-sm-9 col-xs-8">
										{$store->base_url}
									</div>
								</div>
								<div class="row">
									<div class="col-md-2 col-sm-3 col-xs-4 text-right">
										<label>{l s='Shop ID' mod='blockfourdempro'} </label>
									</div>
									<div class="col-md-10 col-sm-9 col-xs-8">
										{$store->shop_id}
									</div>
								</div>
								<div class="row">
									<div class="col-md-2 col-sm-3 col-xs-4 text-right">
										<label>{l s='Recipient ID' mod='blockfourdempro'} </label>
									</div>
									<div class="col-md-10 col-sm-9 col-xs-8">
										{$store->recipient_id}
									</div>
								</div>
								<div class="row">
									<div class="col-md-2 col-sm-3 col-xs-4 text-right">
										<label>{l s='Currency' mod='blockfourdempro'} </label>
									</div>
									<div class="col-md-10 col-sm-9 col-xs-8">
										{$store->currency}
									</div>
								</div>
								{if $ATTRIBUTES_MAP}
									{if $ATTRIBUTES_MAP["attributes"]|count>0}
										<div class="row">
											<div class="col-md-2 col-sm-3 col-xs-4 text-right">
												<label>{l s='Attributes' mod='blockfourdempro'} </label>
											</div>
											<div class="col-md-10 col-sm-9 col-xs-8">
												{foreach $ATTRIBUTES_MAP["attributes"] as $attr}
													<p>{$attr["name"]}</p>
												{/foreach}
											</div>
										</div>
									{/if}
									{if $ATTRIBUTES_MAP["features"]|count>0}
										<div class="row">
											<div class="col-md-2 col-sm-3 col-xs-4 text-right">
												<label>{l s='Features' mod='blockfourdempro'} </label>
											</div>
											<div class="col-md-10 col-sm-9 col-xs-8">
												{foreach $ATTRIBUTES_MAP["features"] as $feat}
													<p>{$feat["name"]}</p>
												{/foreach}
											</div>
										</div>
									{/if}
								{/if}
								<fieldset>
									<div class="row">
										<div class="col-xs-12 text-right">
											<input id="delStore" onclick="if (confirm('Are you sure you want to delete the store? All data will be lost!')) return true; return false;" type="submit" name="deleteStore" value="{l s='Delete' mod='blockfourdempro'}" class="btn btn-danger"/>
										</div>
									</div>
								</fieldset>
							</div>
						{/if}

						<div id="popup_create_store" class="popup">
							<h2>{l s='Create Store' mod='blockfourdempro'}</h2>
								<p class="small">
									{l s='You can specify what Attributes the Product on your Store will have.' mod='blockfourdempro'}
									<br>
									{l s='These information will be useful for a better data analysis' mod='blockfourdempro'}
								</p>
								<h4>{l s='Attributes Creation' mod='blockfourdempro'}</h4>
								<div id="attributes">
								</div>
								<p>
									{l s='Add attribute' mod='blockfourdempro'} <a class="btn btn-default" id="add_attribute">+</a>
								</p>
								<a class="btn btn-default" id="create_store_send">{l s='Create' mod='blockfourdempro'}</a>

						</div>
					</div>
				</div>
				<div role="tabpanel" class="tab-pane" id="contacts_settings">
					<div class="panel-body">
						{if $logged && $custom_field_ready}
							{$fields = json_decode($CUSTOM_FIELDS,true)}
							<h2>{l s='Ignore rules (check = ignore)' mod='blockfourdempro'}</h2>
							<span class="info">{l s='Check the fields you want to ignore, they will not be uploaded on 4Dem platform.' mod='blockfourdempro'}</span>
							{if $fields != null}

								{foreach $fields as $field}
									<div class="row">
										<div class="col-md-2 col-sm-3 col-xs-4 text-right">
											<label for ="check_{$field@key}">{$field["name"]} </label>
										</div>
										<div class="col-md-10 col-sm-9 col-xs-8">
											<input type="checkbox" id="check_{$field@key}" name="{$field@key}" value="1" {if $field["ignore"]} checked="checked" {/if} />
										</div>
									</div>
								{/foreach}
								<div class="row">
									<div class="col-xs-12 text-right">
										<a id="save-ignore-fields" class="btn btn-default">{l s='Save' mod='blockfourdempro'}</a>
									</div>
								</div>
							{else}
								<div class="row">
									<div class="col-md-2 col-sm-3 col-xs-4 text-right">
										<label>{l s='Error in custom fields' mod='blockfourdempro'}</label>
									</div>
									<div class="col-md-10 col-sm-9 col-xs-8">
										{l s='We suggest to delete the list from 4Dem panel and recreate it through this prestashop Module' mod='blockfourdempro'}
									</div>
								</div>
							{/if}

						{/if}
					</div>
				</div>
				<div role="tabpanel" class="tab-pane" id="synchronization">
					<div class="panel-body">
						<span >{l s='In order to create an automatic synchronizazion we suggest you to set cronjobs that calls every 15 minutes these commands' mod='blockfourdempro'}</span><br><br>
						{if $logged}
							{if ($psCompatibleList && !$custom_fields_not_ready && $connStatus == "Online" && $SELECTED_LIST_ID && $SELECTED_LIST_ID!="")}
								<h2>{l s='Contacts' mod='blockfourdempro'}</h2>
								<div class="row">
									<div class="col-md-2 col-sm-3 col-xs-4 text-right">
										<label>{l s='Contacts Cron URL' mod='blockfourdempro'}</label>
									</div>
									<div class="col-md-10 col-sm-9 col-xs-8">
										{$curl_url_contacts}
										<br><span class="info">{l s='Used for synchronization of Contacts and their informations' mod='blockfourdempro'}</span>
									</div>
								</div>
								{if $LAST_SYNC_CONTACTS && $LAST_SYNC_CONTACTS != "0"}
									<div class="row">
										<div class="col-md-2 col-sm-3 col-xs-4 text-right">
											<label>{l s='Update Contacts Synchronization' mod='blockfourdempro'}</label>
										</div>
										<div class="col-md-10 col-sm-9 col-xs-8">
											<a id="sync_contact_update" class=" btn btn-default">{l s='Update' mod='blockfourdempro'}</a>
										</div>
									</div>
								{else}
									<div class="row">
										<div class="col-md-2 col-sm-3 col-xs-4 text-right">
											<label>{l s='Syncronize All Contacts' mod='blockfourdempro'}</label>
										</div>
										<div class="col-md-10 col-sm-9 col-xs-8">
											<a id="sync_contact_all" class=" btn btn-default">{l s='Inizialize' mod='blockfourdempro'}</a>
										</div>
									</div>

								{/if}
								{$actual = $api4marketingObject->getSubscribersNumber($SELECTED_LIST_ID)}
								{if $actual == ""}
									{$actual = 0}
								{/if}
								<div class="sync_loader contacts">
									<p><img src="{$path}/img/preloader.gif" width="25" alt=""> {l s='Processed data' mod='blockfourdempro'} <span style="padding: 10px; background-color: red; color: white;">{l s=' ATTENZIONE!!! NON RICARICARE LA PAGINA' mod='blockfourdempro'}</span> </p>
									<div class="contacts_batch_indicator">
										<p class="contacts_counter"></p>
									</div>
								</div>

								<p id="syncCount">{l s='Customers in list' mod='blockfourdempro'} <span style='{if $actual == $total_subscribers} color:green; {else} color:red;{/if}' id="actual_subs" >{$actual} </span> {if $LAST_SYNC_CONTACTS}  -  {l s='Last synchronization' mod='blockfourdempro'} :  {date("d M Y H:i:s",strtotime($LAST_SYNC_CONTACTS))}  {/if}</p>

								{if $sync_errors}
									<p id='error_warning'>
                                        {l s='Some errors occured during Customers import:' mod='blockfourdempro'}
                                        {$sync_errors|count}
                                        <a id='show_errors'>{l s='Show Errors' mod='blockfourdempro'}</a></p>
									<div id='import_errors'>
										<p class="error-head">
											<span class="mail">E-Mail</span><span>Error</span>
										</p>
										{foreach  $sync_errors as  $row }
											<p class="error">
												<span class="mail">{$row["email"]}</span><span>{$row["error"]}</span>
											</p>
										{/foreach}
									</div>
								{/if}
							{/if}
							{if $store}
								<h2>{l s='Products' mod='blockfourdempro'}</h2>
								<div class="row">
									<div class="col-md-2 col-sm-3 col-xs-4 text-right">
										<label>{l s='Products Cron URL' mod='blockfourdempro'}</label>
									</div>
									<div class="col-md-10 col-sm-9 col-xs-8">
										 {$curl_url_products}
										<br><span class="info">{l s='Used for synchronization of Product of your Prestashop on the 4Dem created Store' mod='blockfourdempro'}</span>
									</div>
								</div>
								{if $LAST_SYNC_PRODUCTS && $LAST_SYNC_PRODUCTS != "0"}
									<div class="row">
										<div class="col-md-2 col-sm-3 col-xs-4 text-right">
											<label>{l s='Update Product Synchronization' mod='blockfourdempro'}</label>
										</div>
										<div class="col-md-10 col-sm-9 col-xs-8">
											<a id="sync_product_update" class=" btn btn-default">{l s='Update' mod='blockfourdempro'}</a>
										</div>
									</div>
								{else}
									<div class="row">
										<div class="col-md-2 col-sm-3 col-xs-4 text-right">
											<label>{l s='Synchroniz All Products ' mod='blockfourdempro'}</label>
										</div>
										<div class="col-md-10 col-sm-9 col-xs-8">
											<a id="sync_product_all" class="btn btn-default">{l s='Import' mod='blockfourdempro'}</a>
										</div>
									</div>
								{/if}
								<div class="sync_loader products">
									<p><img src="{$path}/img/preloader.gif" width="25" alt=""> {l s='Processed data' mod='blockfourdempro'}  <span style="padding: 10px; background-color: red; color: white;">{l s=' ATTENZIONE!!! NON RICARICARE LA PAGINA' mod='blockfourdempro'}</span></p>
									<div class="products_batch_indicator">
										<p class="products_counter"></p>
									</div>
								</div>
								{$actual_prods = $api4marketingObject->getProductsNumber($STORE_ID)}
								{if $actual_prods == ""}
									{$actual_prods = 0}
								{/if}
								<p id="syncCountProducts">{l s='Product on 4Dem Store' mod='blockfourdempro'} <span style='{if $actual_prods == $products_in_store} color:green; {else} color:red;{/if}' id="actual_prod" >{$actual_prods} </span> / {$products_in_store} {if $LAST_SYNC_PRODUCTS}  -  {l s='Last synchronization' mod='blockfourdempro'} :  {date("d M Y H:i:s",strtotime($LAST_SYNC_PRODUCTS))}  {/if}</p>

							{/if}
							{if $store}
								<h2>{l s='Carts' mod='blockfourdempro'}</h2>
								<div id="order_states">
									<h4>
										{l s='Select the order states that will be considered as "Closed Orders"' mod='blockfourdempro'}
										<img src="/modules/blockfourdempro//img/preloader.gif" alt="" width="25" id="states_loader">
									</h4>
									<div class="row">
										{foreach $order_states as $order_state}
											{if $order_state@index%4 == 0}
												<div class="col-xs-12">
												</div>
											{/if}
											<div class="col-md-3 col-xs-6">
												<label for="orderState-{$order_state["id_order_state"]}">
													<input type="checkbox" id="orderState-{$order_state["id_order_state"]}" class="checkbox-order-state" value="{$order_state["id_order_state"]}" {if $order_state["id_order_state"]|in_array:$selected_order_states}checked="checked"{/if}> {$order_state["name"]}
												</label>
											</div>
										{/foreach}
									</div>
									<br>
									<h4>
										{l s='Select the order state that will be considered as "Invalid Order" (these orders/carts will be deleted from 4Dem)' mod='blockfourdempro'}
										<img src="/modules/blockfourdempro//img/preloader.gif" alt="" width="25" id="invalid_state_loader">
									</h4>
									<div class="row">
										{foreach $order_states as $order_state}
											{if $order_state@index%4 == 0}
												<div class="col-xs-12">
												</div>
											{/if}
											<div class="col-md-3 col-xs-6">
												<label for="InvOrderState-{$order_state["id_order_state"]}">
													<input type="checkbox" id="InvOrderState-{$order_state["id_order_state"]}" class="checkbox-inv-order-state" value="{$order_state["id_order_state"]}" {if $order_state["id_order_state"]|in_array:$invalid_order_state}checked="checked"{/if}> {$order_state["name"]}
												</label>
											</div>
										{/foreach}
									</div>
									{*<div class="row">*}
										{*<div class="col-sm-4">*}
											{*<select name="invalidOrderState" id="invalidOrderState">*}
												{*<option value="">-</option>*}
												{*{foreach $order_states as $order_state}*}
													{*<option value="{$order_state["id_order_state"]}">*}
														{*{$order_state["name"]}*}
													{*</option>*}
												{*{/foreach}*}
											{*</select>*}
										{*</div>*}
									{*</div>*}
								</div>
                                <p class="warning">
                                    {l s='Note that you will only get the carts of customers you have already imported in 4Dem list.' mod='blockfourdempro'}
									<br>
                                    {l s='Only carts with all fields correctly formatted will be imported in 4Dem, if you have done an import of carts from other stores please verify that all the data are correct.' mod='blockfourdempro'}
                                </p>
								{if $actual_prods == 0}
									<p class="warning">
										{l s='You need to synchronize your store product before synchronize carts, otherwise they will be imported without products into them.' mod='blockfourdempro'}
									</p>
								{/if}
								<div class="row">
									<div class="col-md-2 col-sm-3 col-xs-4 text-right">
										<label>{l s='Carts Cron URL' mod='blockfourdempro'}</label>
									</div>
									<div class="col-md-10 col-sm-9 col-xs-8">
										 {$curl_url_carts}
										<br><span class="info">{l s='Used for synchronization of Carts of your Prestashop on the 4Dem created Store' mod='blockfourdempro'}</span>
									</div>
								</div>

								{if $LAST_SYNC_CARTS && $LAST_SYNC_CARTS != "0"}
									<div class="row">
										<div class="col-md-2 col-sm-3 col-xs-4 text-right">
											<label>{l s='Update Carts Synchronization' mod='blockfourdempro'}</label>
										</div>
										<div class="col-md-10 col-sm-9 col-xs-8">
											<a id="sync_cart_update" class=" btn btn-default">{l s='Update' mod='blockfourdempro'}</a>
										</div>
									</div>
								{else}
									<div class="row">
										<div class="col-md-2 col-sm-3 col-xs-4 text-right">
											<label>{l s='Synchroniz All Carts ' mod='blockfourdempro'}</label>
										</div>
										<div class="col-md-10 col-sm-9 col-xs-8">
											<a id="sync_cart_all" class="btn btn-default">{l s='Import' mod='blockfourdempro'}</a>
										</div>
									</div>
								{/if}
								<p>
									{l s='If you import carts from here the system will syncronize all carts trying to resend carts with errors, if you have email automation active on 4Dem they will not be triggered, in order to be triggered you need to use the "CRON call".' mod='blockfourdempro'}
								</p>
								<div class="sync_loader carts">
									<p><img src="{$path}/img/preloader.gif" width="25" alt=""> {l s='Processed data' mod='blockfourdempro'} <span style="padding: 10px; background-color: red; color: white;">{l s=' ATTENZIONE!!! NON RICARICARE LA PAGINA' mod='blockfourdempro'}</span> </p>
									<div class="carts_batch_indicator">
										<p class="carts_counter"></p>
									</div>
								</div>
								{$actual = $api4marketingObject->getCartsNumber($STORE_ID)}
								{if $actual == ""}
									{$actual = 0}
								{/if}
								<p id="syncCountCarts">{l s='Carts on 4Dem Store' mod='blockfourdempro'} <span style='{if $actual == $carts_in_store} color:green; {else} color:red;{/if}' id="actual_carts" >{$actual} </span> {if $LAST_SYNC_CARTS}  -  {l s='Last synchronization' mod='blockfourdempro'} :  {date("d M Y H:i:s",strtotime($LAST_SYNC_CARTS))}  {/if}</p>

							{/if}
						{/if}
					</div>
				</div>
			</div>

		</div>
	</form>

</div>