<?php

/**
 * Created by PhpStorm.
 * User: gabrieleciaravolo
 * Date: 14/10/15
 * Time: 14:41
 */
class AdminBlockfourdemproController extends ModuleAdminController
{

    public function postProcess(){
       $operation = Tools::getValue("operation","");
        switch ($operation){
            case "orderStates":
                $states = explode(",",Tools::getValue("checked"));
                unset($states[count($states)-1]);
                if(Configuration::updateValue("4DEM_ORDER_STATES",json_encode($states)))
                    die(json_encode(true));
                else
                    die(json_encode(count(array("err"=>true))));
                break;
            case "invalidState":
                $states = explode(",",Tools::getValue("checked"));
                unset($states[count($states)-1]);
                if(Configuration::updateValue("4DEM_INVALID_ORDER_STATE",json_encode($states)))
                    die(json_encode(true));
                else
                    die(json_encode(count(array("err"=>true))));
                break;
//                $val = Tools::getValue("value");
//                if(Configuration::updateValue("4DEM_INVALID_ORDER_STATE",$val))
//                    die(json_encode(true));
//                else
//                    die(json_encode(count(array("err"=>true))));
//                break;
            case "get_attributes":
                $return["features"] = Feature::getFeatures(Context::getContext()->cookie->id_lang);
                $groups = AttributeGroup::getAttributesGroups(Context::getContext()->cookie->id_lang);
                foreach($groups as $key => $group){
                    $return["attributes"][$key]["name"] = $group["name"];
                    $return["attributes"][$key]["group_id"] = $group["id_attribute_group"];
                    $attrs = AttributeGroup::getAttributes(Context::getContext()->cookie->id_lang,$group["id_attribute_group"]);
                    foreach($attrs as $key2 => $attr){
                        $return["attributes"][$key]["value"][$key2]["name"] = $attr["name"];
                        $return["attributes"][$key]["value"][$key2]["id_attribute"] = $attr["id_attribute"];
                    }

                }
                die(json_encode($return));
                break;
            case "create_store":

                $attr=Tools::getValue("attributes","");
                $attr= explode(",",$attr);
                $attributes = array();
                $json_attr = array();
                foreach($attr as $key => $attr_id){
                    $attr_id = explode("-",$attr_id);
                    if($attr_id[0] == "a"){
                        $attribute = new AttributeGroup($attr_id[1],Context::getContext()->cookie->id_lang);
                        $attributes[$key]["name"] = $attribute->name;
                        $attributes[$key]["type"] = "varchar";
                        $attributes[$key]["attribute_id"] = $attr_id[0]."-".$attr_id[1];
                        $json_attr[$key]["type"] = "attribute";
                        $json_attr[$key]["id"] =$attribute->id;
                    }else if($attr_id[0]=="f"){
                        $feature = FeatureCore::getFeature(Context::getContext()->cookie->id_lang,$attr_id[1]);
                        $attributes[$key]["name"] = $feature["name"];
                        $attributes[$key]["type"] = "varchar";
                        $attributes[$key]["attribute_id"] = $attr_id[0]."-".$attr_id[1];
                        $json_attr[$key]["type"] = "feature";
                        $json_attr[$key]["id"] = $feature["id_feature"];

                    }
                }
                $ret =$this->module->api4marketingObject->createStore(Configuration::get ( '4DEM_SELECTED_LIST_ID' ),$this->context->currency->iso_code,Context::getContext()->shop->name,Context::getContext()->shop->id,Tools::getCurrentUrlProtocolPrefix().Context::getContext()->shop->domain.Context::getContext()->shop->physical_uri,$attributes);
                //$ret = 6;
                if(is_numeric($ret)){
                    Configuration::updateValue("4DEM_STORE_ID",$ret);
                    die(true);
                }else{
                    die(json_encode($ret));
                }
                break;
            case "delete_store":

                Configuration::updateValue("4DEM_DELETE", json_encode(getdate()));
                if (Configuration::hasKey('4DEM_STORE_ID') && !(is_numeric(Configuration::get ( '4DEM_STORE_ID' )))) {
                    $ret = $this->module->api4marketingObject->deleteStore(Configuration::get ( '4DEM_STORE_ID' ));
                    if ($ret) {
                        Configuration::deleteByName('4DEM_STORE_ID');
                    }
                }
                die($ret);
                break;
            case "save_ignore_fields":
                $fields = json_decode(Configuration::get ( '4DEM_CUSTOM_FIELDS'),true);
                if ($fields == null)
                    $fields = array();
                foreach($fields as $key => $field){
                    $val = strval ( Tools::getValue ( $key ) );
                    $fields[$key]["ignore"] = false;
                    if ($val){
                        $fields[$key]["ignore"] = true;
                    }
                }
                Configuration::updateValue ( '4DEM_CUSTOM_FIELDS', json_encode($fields) );

                die(json_encode(true));
                break;
            case "sync_contact_update":
                $limit = Tools::getValue("limit",0);
                $type = Tools::getValue("type","ajax");
                die(json_encode($this->module->SynchAllData ( 0 , false,$type,$limit)));
                break;
            case "sync_contact_all":
                $limit = Tools::getValue("limit",0);
                $type = Tools::getValue("type","ajax");
                die(json_encode($this->module->SynchAllData ( 0 , true,$type,$limit)));
                break;
            case "sync_product_update":
                $limit = Tools::getValue("limit",0);
                $type = Tools::getValue("type","ajax");
                die(json_encode($this->module->SynchProducts(false,$type,$limit)));
                break;
            case "sync_product_all":
                $limit = Tools::getValue("limit",0);
                $type = Tools::getValue("type","ajax");
                die(json_encode($this->module->SynchProducts(true,$type,$limit)));
                break;
            case "sync_cart_update":
                $limit = Tools::getValue("limit",0);
                $type = Tools::getValue("type","ajax");
                die(json_encode($this->module->SynchCarts(false,$type,$limit)));
                break;
            case "sync_cart_all":
                $limit = Tools::getValue("limit",0);
                $type = Tools::getValue("type","ajax");
                die(json_encode($this->module->SynchCarts(true,$type,$limit)));
                break;
            case "polling":
                $type=Tools::getValue("type","ajax");
                $group=Tools::getValue("group","");
                $sql = "SELECT * FROM "._DB_PREFIX_."4dem_last_sync WHERE `type` = '".$type."' AND `group` = $group";
                $sqlCompleted = "SELECT * FROM "._DB_PREFIX_."4dem_last_sync WHERE `type` = '".$type."' AND `group` = $group AND `completed` = 1";
                $ret = sizeof(Db::getInstance ()->executeS ( $sql ));
                $retCompleted = sizeof(Db::getInstance ()->executeS ( $sqlCompleted ));
                $tot = 0;
                $done = 0;
                $completed = false;
//                foreach($ret as $row){
//                    if($row["completed"]==1){
//                        $done += $row["tot"];
//                    }
//                    $tot+=$row["tot"];
//                    $completed&=$row["completed"];
//                }
//                if($completed) {
//                    switch($type) {
//                        case 'contacts': Configuration::updateValue("4DEM_CONTACT_SYNC_GROUP",0); break;
//                        case 'products':
//                            Configuration::updateValue("4DEM_PRODUCT_SYNC_GROUP",0);
//                            break;
//                        case 'carts': Configuration::updateValue("4DEM_CART_SYNC_GROUP",0); break;
//                    }
//                }

                if($ret == $retCompleted) {
                    $completed = true;
                    switch($type) {
                        case 'contacts': Configuration::updateValue("4DEM_CONTACT_SYNC_GROUP",0); break;
                        case 'products':
                            Configuration::updateValue("4DEM_PRODUCT_SYNC_GROUP",0);
                            break;
                        case 'carts': Configuration::updateValue("4DEM_CART_SYNC_GROUP",0); break;
                    }
                }
                if($type=="contacts") {
                    $actual_sub = $this->module->api4marketingObject->getSubscribersNumber(Configuration::get("4DEM_SELECTED_LIST_ID"));
                    die(json_encode(array("completed" => $completed, "tot" => $ret, "done" => $retCompleted, "actual_sub" => $actual_sub)));
                }else if ($type == "products"){
                    $actual_prod = $this->module->api4marketingObject->getProductsNumber(Configuration::get("4DEM_STORE_ID"));
                    die(json_encode(array("completed" => $completed, "tot" => $ret, "done" => $retCompleted, "actual_prod" => $actual_prod)));
                }else if ($type == "carts"){
                    $actual_carts = $this->module->api4marketingObject->getCartsNumber(Configuration::get("4DEM_STORE_ID"));
                    die(json_encode(array("completed" => $completed, "tot" => $ret, "done" => $retCompleted, "actual_carts" => $actual_carts)));
                }
                break;
        }
    }
}